Subject: bug#26126: 26.0.50; file-notify-rm-watch removes arbitrary watches

From: Andreas Politz <[email-masked]>
Date: Fri, 17 Mar 2017 18:45:49 +0100

Michael Albinus <[email-masked]> writes:

> I need to dig into inotify.c. IIRC, it wasn't simple to achieve this;
> that's why we have this crude solution. Maybe it could be solved only on
> filenotify.el level, don't remember the details.

What I would do, is box the internal descriptor in file-notify-add-watch,
to make it unique to the caller and unbox it in file-notify-rm-watch and
file-notify-valid-p.  

A different question is, whether file-notify-add-watch should behave
like add-hook with regards to adding a function multiple times.  I don't
think it does at the moment, so I probably leave it as such (?).

-ap